﻿@model IList<DAL.DBEntities.vt_Order>
@{
    foreach (var item in Model.GroupBy(x => x.CreationDate.Value.ToString("MMM ,dd yyyy")))
    {
        <div class="row">
            <div class="col-sm-12">
                <h5 class="box-title mt-2">@item.Key</h5>
            </div>
        </div>

        <div class="ezy_table-responsive">
            <table class="tbl_expend_customer table tble_customer">
                <thead>
                    <tr class="sm-text">
                        <th data-type="competency">Id</th>
                        <th class="text-align-center" data-type="percent-above-score">Time ordered</th>
                        <th data-type="average-score">Currency</th>
                        <th>Billing frequency</th>
                        <th>Number of items</th>
                        <th>Order status</th>
                        <th>Total price</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var order in item)
                    {
                        <tr data-node="treetable-650__@order.Id" data-pnode="">
                            <td class="sm-text" data-code="A" data-competencyid="650-@order.Id">
                                @order.O_MCID
                            </td>
                            @{
                                DateTime other = DateTime.SpecifyKind((DateTime)order.CreationDate, DateTimeKind.Utc);
                            }
                            <td class="sm-text text-align-center">@other.ToString("hh:mm tt")  @other.Kind</td>
                            <td class="sm-text color-gray">@order.CurrencyCode</td>
                            <td class="">
                                @order.BillingCycle
                            </td>
                            <td class="">
                                @order.Quantity
                            </td>
                            <td class="">
                                @order.Status
                            </td>
                            <td class="">
                                @(order.BillingCycle=="OneTime"?order.ListPrice.ToString():"-")
                            </td>
                        </tr>

                        <tr data-node="treetable-650__@(string.Concat(order.Id,"_1"))" data-pnode="treetable-650__@order.Id">
                            <th class="sm-text" data-code="A.1" data-competencyid="650-@(string.Concat(order.Id,".1"))">
                                Item
                            </th>
                            <th class="sm-text text-align-center">
                                Order type
                            </th>
                            <th class="sm-text color-gray">
                                Item type
                            </th>
                            <th class="sm-text color-gray">
                                Quantity
                            </th>
                            <th class="sm-text color-gray">
                                Fulfillment status
                            </th>
                            <th class="sm-text color-gray">
                                Indirect reseller
                            </th>
                            <th class="sm-text color-gray">
                                Price
                            </th>
                        </tr>

                        <tr data-node="treetable-650__@(string.Concat(order.Id,"_2"))" data-pnode="treetable-650__@order.Id">
                            <td class="sm-text" data-code="A.1" data-competencyid="650-@(string.Concat(order.Id,".1"))">
                                @order.vt_Products.vt_ProductDetails.Select(x => x.Title).FirstOrDefault();
                            </td>
                            <td class="sm-text text-align-center">
                                New
                            </td>
                            <td class="sm-text color-gray">
                                @order.vt_Products.ProductType
                            </td>
                            <td class="sm-text color-gray">
                                @order.Quantity
                            </td>
                            <td class="sm-text color-gray">
                                @order.Status
                            </td>
                            <td class="sm-text color-gray">
                                None
                            </td>
                            <td class="sm-text color-gray">
                                @(order.BillingCycle == "OneTime" ? order.ListPrice.ToString() : "-")
                            </td>
                        </tr>



                                }



                </tbody>
            </table>
        </div>
                                }
}
